LASTCOMM(1)

NOMBRE
lastcomm - imprime información sobre órdenes ejecutadas.

SINOPSIS

lastcomm
    [ nombre-orden ... ]
    [ nombre-usuario ... ]
    [ nombre-terminal ... ]
    [ OPCIÓN ... ]

DESCRIPCIÓN

lastcomm proporciona información sobre órdenes ejecutadas. Si no se especifica ninguna opción, lastcomm imprimirá en pantalla información sobre todas las órdenes que aparezcan en acct (el archivo de registro). Si se especifican una o más opciones como el nombre de usuario, de la orden o del terminal; solo se mostrarán los registros que coincidan con ellas. Por ejemplo, si desea saber que usuario ejecutaron la orden 'a.out' y cuales iniciaron sesión en `tty0', tendrá que ejecutar lo siguiente:
lastcomm a.out tty0

Esto mostrará cualquier entrada que contenga `a.out' or `tty0' en cualquier de los campos registrados (orden, nombre o terminal). Si solo desea ver entradas que coincidan con *todas* las opciones de la línea de órdenes, tiene que usar la opción '-strict-match'. Así por ejemplo, si desea ver todas las veces que el usuario root ejecutó la orden a.out desde la terminal tty0, deberá ejecutar lo siguiente:
lastcomm --strict-match --command a.out --user root --tty tty0

El orden de las opciones no tiene importancia.

Por cada entrada se mostrará la siguiente información
   + nombre de la orden del proceso
   + marcas, tal como se registran en el sistema de contabilidad:
        S -- orden ejecutada por el administrador
        F -- orden ejecutada despuñes de un fork pero sin que le siga un exec
        C -- orden ejecutada en modo de compatibilidad PDP-11 (solo VAX)
        D -- la orden terminó con un volcado de pila
        X -- orden finalizada con la señal SIGTERM
   + nombre del usuario que ejecutó el proceso
   + hora de inicio del proceso

OPCIONES
--strict-match
    Muestra solo entradas que coincidan con *todas* las opciones dadas en la línea de órdenes.
--print-controls
    Imprime caracteres de control.
--user nombre
    Muestra los registros del usuario nombre. Esto especialmente útil cuando desea ver un usuario que se llama igual que una orden (p.ej. ed).
--command nombre
    Muestra los registros existentes para la orden name.
--tty nombre
    Muestra los registros para el tty nombre.
--forwards
    Lee el archivo hacia delante en lugar de hacia atrás. Esto evita tratar de buscar en el archivo y puede usarse para recibir datos a través de una tubería. Deberá especificarse antes de cualquier argumento -f.
-f archivo, --file archivo
    Lee la información del archivo archivo en lugar de usar acct. Puede usar "-" para leer desde la entrada estándar. Deberá ser la primera opción -f o bien --forwards deberá ir antes de todas las opciones -f.
--ahz hz
    Con esta opción, se indica al programa el valor para AHZ (en hercios). Esta opción es útil si está intentando ver un archivo acct creado en otra máquina que tiene el mismo orden de bytes y formato de archivo que su máquina actual, pero tiene un valor diferente para AHZ.
-p, --show-paging
    Muestra estadísticas de paginación.
--pid
    Muestra el PID y el PPID del proceso siempre y cuando el núcleo reconozca la versión 3 del formato de acct.
--pid
    Añade a la información mostrada el pid del proceso y el pid del ascendiente del proceso (pid es la penúltima columna y ppid la última). Estos valores solo se muestran si los genera la función acct dependiendo de la versión del núcleo.
--debug
    Muestra abundante información interna.
-V, --version
    Muestra la versión de lastcomm.
-h, --help
    Muestra información de uso y la localización por defecto de los archivos del sistema terminando la ejecución acto seguido.

ARCHIVOS
acct
    El archivo de contabilidad general. Consulte acct(5) (or pacct(5)) para más información. /var/log/account
        Este directorio contiene achivos pacct con la información de la contabilidad de procesos en formato binario tal como la registra el núcleo.

AUTOR
Las utilidades de contabilidad de procesos de GNU fueron escritas por by Noel Cragg <noel@gnu.ai.mit.edu>. Esta página de manual fue creada a partir de la página texinfo por Susan Kleinmann <sgk@sgk.tiac.net>.

VÉASE TAMBIÉN
last(1), acct(5)

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Marcos Fouces <marcos@debian.org>
Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.
Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.